Skip to content

Stop watching a wallet

DELETE
/lp/watch
curl --request DELETE \
--url https://api.getchord.xyz/v1/lp/watch \
--header 'Content-Type: application/json' \
--data '{ "chain": 5042, "wallet": "0xb145400da27a2497d9fc2cd5621f2bfd37617af4" }'
Media typeapplication/json
object
chain
required
integer
Allowed values: 5042 4663 143
wallet
required

EVM address, hex, case-insensitive.

string
/^0x[a-fA-F0-9]{40}$/
Example
{
"chain": 5042,
"wallet": "0xb145400da27a2497d9fc2cd5621f2bfd37617af4"
}
Media typeapplication/json
object
watched
boolean
Example
{
"watched": false
}

Invalid parameters — error names the check that failed (INVALID_PARAMS, BAD_ADDRESS, BAD_LIMIT, BAD_HOURS, …).

Media typeapplication/json

Every non-2xx body.

object
error
required

Stable machine code, e.g. INVALID_PARAMS, NOT_READY, RATE_LIMIT_EXCEEDED.

string
message

For humans.

string
statusCode

HTTP status, when included.

integer
Example
{
"error": "INVALID_PARAMS",
"message": "amount must be an integer string in the token's smallest unit"
}